## kernel-image-2.4.27-i386 2.4.27-2

=== debian/changelog ===
kernel-image-2.4.27-i386 (2.4.27-2) unstable; urgency=high

  * Build against kernel-tree-2.4.27-5:
    - More TG3 woes fixed; this time with HW autoneg causing problems on
      unrelated cards.
    - EHCI problems seem to be fixed.
    - Add very very important ide-probe.c patch missed out in previous 
      uploads of the kernel source. (Closes: #266538, #266510)
  * Fix typos in debian/control.
  * Nuke the metapackages - now provided by kernel-latest-2.4-i386.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 25 Aug 2004 00:32:28 +0000

kernel-image-2.4.27-i386 (2.4.27-1) unstable; urgency=low

  * New upstream version.
  * Note: [CAN-2004-0554] referenced in #253871 is fixed upstream in 2.4.27
    now.
  * Don't copy whole kernel source trees: hardlink farm them.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 12 Aug 2004 16:31:48 -0700

kernel-image-2.4.26-i386 (2.4.26-5) unstable; urgency=low

  * Added myself (Simon Horman <horms@debian.org>) to the list of uploaders,
    as I seem to have missed it the first time around.
  * Include symlinks to the toplevel kernel-headers.revision and Makefile
    in the kernel-headers-<version>-<arch> packages from the
    kernel-headers-<version> package. (closes: Bug#261776)
  * Copy files for different build trees rather than using hard links.
    Also removed customised touch command. The customised touch + hard links
    completely breaks parallised builds as files can be zeroed as the
    customised touch command tries to make a fresh copy of a file while
    another process tries to do the same.

 -- Simon Horman <horms@debian.org>  Thu, 29 Jul 2004 10:54:45 +0900

kernel-image-2.4.26-i386 (2.4.26-4) unstable; urgency=low

  * Built against 2.4.26-4

 -- Simon Horman <horms@debian.org>  Tue, 20 Jul 2004 21:07:52 +0900

kernel-image-2.4.26-i386 (2.4.26-3) unstable; urgency=low

  * Built against kernel-tree 2.4.26-3
  * Changed Maintainer to kernel team.
  * Set uploaders to DD members of that team as per the alioth.debian.org 
    kernel project

 -- Simon Horman <horms@debian.org>  Fri,  9 Jul 2004 20:09:06 +0900

kernel-image-2.4.26-i386 (2.4.26-2) unstable; urgency=low

  * Built against kernel-tree 2.4.26-2.
  * Enabled SATA drivers.

 -- Herbert Xu <herbert@debian.org>  Sat,  1 May 2004 15:06:37 +1000

kernel-image-2.4.26-i386 (2.4.26-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat, 17 Apr 2004 20:38:22 +1000

kernel-image-2.4.25-i386 (2.4.25-3) unstable; urgency=low

  * Built against kernel-tree 2.4.25-3.
  * Enabled 8139TOO_PIO (closes: #223702).

 -- Herbert Xu <herbert@debian.org>  Wed, 14 Apr 2004 19:35:25 +1000

kernel-image-2.4.25-i386 (2.4.25-2) unstable; urgency=low

  * Built against kernel-tree 2.4.25-2.
  * Depend on lilo or grub and kernel-doc or kernel-source (closes: #242399).
  * Explain SMP in long description (closes: #241562).

 -- Herbert Xu <herbert@debian.org>  Mon, 12 Apr 2004 11:55:40 +1000

kernel-image-2.4.25-i386 (2.4.25-1) unstable; urgency=low

  * New upstream release.
  * Set default RAM disk size to 8192M.

 -- Herbert Xu <herbert@debian.org>  Mon, 23 Feb 2004 20:39:55 +1100

kernel-image-2.4.24-i386 (2.4.24-3) unstable; urgency=high

  * Built against kernel-tree 2.4.24-3.
  * Enabled local and IO APIC in 386 flavour (closes: #224494).

 -- Herbert Xu <herbert@debian.org>  Wed, 18 Feb 2004 19:38:30 +1100

kernel-image-2.4.24-i386 (2.4.24-2) unstable; urgency=low

  * Built against kernel-tree 2.4.24-2.

 -- Herbert Xu <herbert@debian.org>  Tue,  3 Feb 2004 21:49:54 +1100

kernel-image-2.4.24-i386 (2.4.24-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Tue,  6 Jan 2004 19:12:46 +1100

kernel-image-2.4.23-i386 (2.4.23-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun, 30 Nov 2003 11:35:50 +1100

kernel-image-2.4.22-i386 (2.4.22-4) unstable; urgency=low

  * Added /lib build symlink in flavoured kernel-headers package.
  * Built against kernel-tree 2.4.22-4.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Sat, 15 Nov 2003 14:57:06 +1100

kernel-image-2.4.22-i386 (2.4.22-3) unstable; urgency=medium

  * Built against kernel-tree 2.4.22-3.

 -- Herbert Xu <herbert@debian.org>  Sat,  4 Oct 2003 14:25:54 +1000

kernel-image-2.4.22-i386 (2.4.22-2) unstable; urgency=low

  * Built against kernel-tree 2.4.22-2.
  * Enabled CONFIG_OPTIMISE_SIZE on 386.
  * Disable ACPI by default (closes: #210512, #210563, #210727, #211594,
    #212611).
  * Added debnum target (closes: #204030).

 -- Herbert Xu <herbert@debian.org>  Sat, 27 Sep 2003 18:12:24 +1000

kernel-image-2.4.22-i386 (2.4.22-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Fri,  5 Sep 2003 20:46:07 +1000

kernel-image-2.4.21-1-i386 (2.4.21-5) unstable; urgency=low

  * Built against kernel-tree 2.4.21-5.
  * Changed modules ABI.
  * Enabled DECNET_ROUTER.
  * Added kernel-pcmcia-modules-2.4 packages.

 -- Herbert Xu <herbert@debian.org>  Sun, 24 Aug 2003 13:07:04 +1000

kernel-image-2.4.21-1-i386 (2.4.21-4) unstable; urgency=low

  * Built against kernel-tree 2.4.21-4 containing various security fixes.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Sat,  2 Aug 2003 21:09:18 +1000

kernel-image-2.4.21-1-i386 (2.4.21-3) unstable; urgency=low

  * Build-depend on kernel-package 8.042 (closes: #200512).
  * Built against kernel-tree 2.4.21-3.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Sun, 20 Jul 2003 12:23:57 +1000

kernel-image-2.4.21-1-i386 (2.4.21-2) unstable; urgency=low

  * Source package name no longer changes with debnum.
  * Built against kernel-tree 2.4.21-2 (closes: #199117).
  * Get kernel-patch-debian from new location.
  * Enabled 486 emulation in 386 flavour.
  * Changed modules ABI.

 -- Herbert Xu <herbert@debian.org>  Fri,  4 Jul 2003 22:19:18 +1000

kernel-image-2.4.21-1-i386 (2.4.21-1) unstable; urgency=low


