## kernel-image-2.4.27-i386 2.4.27-9

=== debian/changelog ===
kernel-image-2.4.27-i386 (2.4.27-9) unstable; urgency=low

  * Remove one more file in clean target. (Josh Kwan)
  * Build against 2.4.27-kernel-tree-2.4.27-9. (Simon Horman)
  * Fix up AMD descriptions to include CPU name.
    Thanks to J. Grant. (Simon Horman)

 -- Simon Horman <horms@debian.org>  Fri, 25 Mar 2005 11:19:31 +0900

kernel-image-2.4.27-i386 (2.4.27-8) unstable; urgency=low

  * Built against kernel-source-2.4.27 2.4.27-8
  * Use cp -a instead of cp -al. The latter used to
    work using a doctored version of touch that would
    try and effect copy on write. Unfortunately this
    broke horribly with parallalised builds.

 -- Simon Horman <horms@debian.org>  Wed, 12 Jan 2005 17:31:48 +0900

kernel-image-2.4.27-i386 (2.4.27-7) unstable; urgency=high

  * Change Pentium IV/PIV to Pentium 4/P4
    (closes: #284138). (Simon Horman)
  * Increment SONAME to 2 as the CAN-2004-0814 fix
    included in kernel-source 2.4.27-6 breaks binary compatibility.
    (closes: #284356)
  * Built against kernel-source-2.4.27 2.4.27-7

 -- Simon Horman <horms@debian.org>  Mon, 20 Dec 2004 17:57:59 +0900

kernel-image-2.4.27-i386 (2.4.27-6) unstable; urgency=low

  * Enable Zoran Video Devices. (Simon Horman)
  * Added symlinks to missing files Rules.make and
    arch/$(KERNEL_ARCH)/Makefile to kernel-headers packages.
    (Closes: Bug#273878) (Simon Horman)
  * Enable Magic SysRq (Closes: Bug#270297) (Simon Horman)
  * Use DEB_HOST_ARCH instead of ARCH in post-install (Simon Horman)
  * Added link to scripts in header packages (Simon Horman)
  * Removed headers that are both non-i386 and non-generic
    from header packges (Simon Horman)
  * Built against kernel-source-2.4.27 2.4.27-6

 -- Simon Horman <horms@debian.org>  Wed,  1 Dec 2004 12:11:42 +0900
