## kernel-image-2.4.27-i386 2.4.27-10

=== debian/changelog ===
kernel-image-2.4.27-i386 (2.4.27-10) unstable; urgency=low

  * Build against kernel-tree-2.4.27-10. (Simon Horman)

 -- Simon Horman <horms@debian.org>  Mon, 16 May 2005 14:48:26 +0900
